Package org.apache.sling.testing.clients.interceptors

# Class StickyCookieSpec

java.lang.Object
org.apache.http.impl.cookie.DefaultCookieSpec
org.apache.sling.testing.clients.interceptors.StickyCookieSpec

All Implemented Interfaces:
  `org.apache.http.cookie.CookieSpec`

public class StickyCookieSpec extends org.apache.http.impl.cookie.DefaultCookieSpec

## Constructor Summary

Constructors
Constructor
Description
`StickyCookieSpec()`

## Method Summary

Modifier and Type
Method
Description
`List<org.apache.http.Header>`
`formatCookies(List<org.apache.http.cookie.Cookie> cookies)`
`List<org.apache.http.cookie.Cookie>`
`parse(org.apache.http.Header header, org.apache.http.cookie.CookieOrigin origin)`

### Methods inherited from class org.apache.http.impl.cookie.DefaultCookieSpec

`getVersion, getVersionHeader, match, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StickyCookieSpec

public StickyCookieSpec()

## Method Details

### parse

public List<org.apache.http.cookie.Cookie> parse(org.apache.http.Header header, org.apache.http.cookie.CookieOrigin origin) throws org.apache.http.cookie.MalformedCookieException

Specified by:
  `parse` in interface `org.apache.http.cookie.CookieSpec`
Overrides:
  `parse` in class `org.apache.http.impl.cookie.DefaultCookieSpec`
Throws:
  `org.apache.http.cookie.MalformedCookieException`

### formatCookies

public List<org.apache.http.Header> formatCookies(List<org.apache.http.cookie.Cookie> cookies)

Specified by:
  `formatCookies` in interface `org.apache.http.cookie.CookieSpec`
Overrides:
  `formatCookies` in class `org.apache.http.impl.cookie.DefaultCookieSpec`